# Update a person

Updates an existing person.

## Request

```curl
curl https://api.stripe.com/v1/accounts/{{ACCOUNT_ID}}/persons/person_1MqjB62eZvKYlo2CaeEJzKVR \
  -u "<<YOUR_SECRET_KEY>>" \
  -d "metadata[order_id]=6735"
```

### Response

```json
{
  "id": "person_1MqjB62eZvKYlo2CaeEJzKVR",
  "person": "person_1MqjB62eZvKYlo2CaeEJzKVR",
  "object": "person",
  "account": "acct_1032D82eZvKYlo2C",
  "created": 1680035496,
  "dob": {
    "day": null,
    "month": null,
    "year": null
  },
  "first_name": "Jane",
  "future_requirements": {
    "alternatives": [],
    "currently_due": [],
    "errors": [],
    "eventually_due": [],
    "past_due": [],
    "pending_verification": []
  },
  "id_number_provided": false,
  "last_name": "Diaz",
  "metadata": {
    "order_id": "6735"
  },
  "relationship": {
    "director": false,
    "executive": false,
    "owner": false,
    "percent_ownership": null,
    "representative": false,
    "title": null
  },
  "requirements": {
    "alternatives": [],
    "currently_due": [],
    "errors": [],
    "eventually_due": [],
    "past_due": [],
    "pending_verification": []
  },
  "ssn_last_4_provided": false,
  "verification": {
    "additional_document": {
      "back": null,
      "details": null,
      "details_code": null,
      "front": null
    },
    "details": null,
    "details_code": null,
    "document": {
      "back": null,
      "details": null,
      "details_code": null,
      "front": null
    },
    "status": "unverified"
  }
}
```

## Returns

Returns a [`person`](https://docs.stripe.com/api/persons/object.md) object.

## Parameters

- [`additional_tos_acceptances`](https://docs.stripe.com/api/persons/update.md?query=additional_tos_acceptances) (object, optional)
  Details on the legal guardian’s or authorizer’s acceptance of the required Stripe agreements.

- [`address`](https://docs.stripe.com/api/persons/update.md?query=address) (object, optional)
  The person’s address.

- [`address_kana`](https://docs.stripe.com/api/persons/update.md?query=address_kana) (object, optional)
  The Kana variation of the person’s address (Japan only).

- [`address_kanji`](https://docs.stripe.com/api/persons/update.md?query=address_kanji) (object, optional)
  The Kanji variation of the person’s address (Japan only).

- [`dob`](https://docs.stripe.com/api/persons/update.md?query=dob) (object, optional)
  The person’s date of birth.

- [`documents`](https://docs.stripe.com/api/persons/update.md?query=documents) (object, optional)
  Documents that may be submitted to satisfy various informational requests.

- `email` (string, optional)
  The person’s email address.

  The maximum length is 800 characters.

- `first_name` (string, optional)
  The person’s first name.

- `first_name_kana` (string, optional)
  The Kana variation of the person’s first name (Japan only).

- `first_name_kanji` (string, optional)
  The Kanji variation of the person’s first name (Japan only).

- `full_name_aliases` (array of strings, optional)
  A list of alternate names or aliases that the person is known by.

- `gender` (enum, optional)
  The person’s gender (International regulations require either “male” or “female”).

- `id_number` (string, optional)
  The person’s ID number, as appropriate for their country. For example, a social security number in the U.S., social insurance number in Canada, etc. Instead of the number itself, you can also provide a [PII token provided by Stripe.js](https://docs.stripe.com/js/tokens/create_token?type=pii).

  Changing this value for the account’s representative requires that the account re-accept the [terms of service](https://docs.stripe.com/api/accounts/object.md#account_object-tos_acceptance).

- `id_number_secondary` (string, optional)
  The person’s secondary ID number, as appropriate for their country, will be used for enhanced verification checks. In Thailand, this would be the laser code found on the back of an ID card. Instead of the number itself, you can also provide a [PII token provided by Stripe.js](https://docs.stripe.com/js/tokens/create_token?type=pii).

  Changing this value for the account’s representative requires that the account re-accept the [terms of service](https://docs.stripe.com/api/accounts/object.md#account_object-tos_acceptance).

- `last_name` (string, optional)
  The person’s last name.

- `last_name_kana` (string, optional)
  The Kana variation of the person’s last name (Japan only).

- `last_name_kanji` (string, optional)
  The Kanji variation of the person’s last name (Japan only).

- `maiden_name` (string, optional)
  The person’s maiden name.

- `metadata` (map, optional)
  Set of [key-value pairs](https://docs.stripe.com/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

- `nationality` (string, optional)
  The country where the person is a national. Two-letter country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)), or “XX” if unavailable.

- `person_token` (string, optional)
  A [person token](https://docs.stripe.com/connect/account-tokens.md), used to securely provide details to the person.

- `phone` (string, optional)
  The person’s phone number.

- `political_exposure` (enum, optional)
  Indicates if the person or any of their representatives, family members, or other closely related persons, declares that they hold or have held an important public job or function, in any jurisdiction.
Possible enum values:
  - `existing`
    The person has disclosed that they do have political exposure

  - `none`
    The person has disclosed that they have no political exposure

- [`registered_address`](https://docs.stripe.com/api/persons/update.md?query=registered_address) (object, optional)
  The person’s registered address.

- [`relationship`](https://docs.stripe.com/api/persons/update.md?query=relationship) (object, optional)
  The relationship that this person has with the account’s legal entity.

- `ssn_last_4` (string, optional)
  The last four digits of the person’s Social Security number (U.S. only).

  Changing this value for the account’s representative requires that the account re-accept the [terms of service](https://docs.stripe.com/api/accounts/object.md#account_object-tos_acceptance).

- [`us_cfpb_data`](https://docs.stripe.com/api/persons/update.md?query=us_cfpb_data) (object, optional)
  Demographic data related to the person.

- [`verification`](https://docs.stripe.com/api/persons/update.md?query=verification) (object, optional)
  The person’s verification status.
